<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Rain by Flutterum
 */
?>
<!DOCTYPE html>
<html <?php language_attributes(); ?>>
    <head>
        <meta charset="<?php bloginfo( 'charset' ); ?>" />
        <meta name="viewport" content="width=device-width, initial-scale=1" />
        <link rel="profile" href="https://gmpg.org/xfn/11" />
        <?php wp_head(); ?>
    </head>
    <body <?php body_class(); ?>>
        <?php wp_body_open(); ?>
        <div id="page" class="site">
            <a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'rain-by-flutterum' ); ?></a>
            <header id="masthead" class="site-header">
                <div class="site-branding">
                    <?php the_custom_logo(); ?>
                    <?php if ( !has_custom_logo() ) : ?>
                    <h1 class="site-title">
                        <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
                    </h1>
                    <?php endif; ?>
                </div>
                <?php if (has_nav_menu('primary')) : ?>
                <div class="menu-container">
                    <button class="menu-button"><?php esc_html_e('Menu','rain-by-flutterum'); ?></button>
                    <div id="site-header-menu" class="site-header-menu">
                        <div class="rain-menu">
                            <nav id="site-navigation" class="main-navigation" role="navigation" aria-label="<?php esc_attr_e('Primary Menu', 'rain-by-flutterum'); ?>">
                                <?php
          							wp_nav_menu(array(
	        						'theme_location' => 'primary', 'depth' => 3, )); ?>
                            </nav>
                        </div>
                    </div>
                </div>
                <?php endif; ?>
                <?php the_custom_header_markup(); ?>
                <?php
					          $rain_by_flutterum_description = get_bloginfo( 'description', 'display' );
					          if ( $rain_by_flutterum_description || is_customize_preview() ) :
				        ?>
                <p class="site-description"><?php echo esc_html( $rain_by_flutterum_description ); ?></p>
                <div class="desc-end"></div>
                <?php endif; ?>
            </header>
